/*
 * TPT Testframe for C-Code
 *
 * Copyright PikeTec GmbH (c) 2021
 */

#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <windows.h>

#include "TPT_VM_API.h"

#if defined(_MSC_VER)
#define SET_PRIORITY \
	{ \
	  char* buf = NULL; \
	  size_t sz = 0; \
	  if (_dupenv_s(&buf, &sz, "TPT_USE_HIGH_PRIORITY_CLASS") == 0 && buf != NULL) { \
		SetPriorityClass(GetCurrentProcess(), HIGH_PRIORITY_CLASS); \
		free(buf); \
	  } \
	}
#else
#define SET_PRIORITY \
	{ \
	  char *val = getenv("TPT_USE_HIGH_PRIORITY_CLASS"); \
	  if (val != NULL) { \
		SetPriorityClass(GetCurrentProcess(), HIGH_PRIORITY_CLASS); \
	  } \
	}
#endif

// ### YOUR ACTION ###: add your custom header files here

static tpt_vmapi_handle vm = NULL;

// %%--- begin generated code for function-stubs. Do not remove or change manually! ---
// %%--- end generated code for function-stubs. Do not remove or change manually! ---


static void bindinterface(void) {
  // %%--- begin generated code for bindinterface. Do not remove or change manually! ---
  // %%--- end generated code for bindinterface. Do not remove or change manually! ---
}

static void sutcycle(void) {
  // ### YOUR ACTION ###: add your SUT cycle code here
}


int main(int argc, char **argv) {
  const char *inputfilename;
  const char *outputfilename;
  const char *paramfilename = NULL;
  
  SET_PRIORITY;
  
  if (argc != 3) {
    if (argc == 4) {
      if (strcmp(argv[1],"-r") == 0) {
        paramfilename = argv[2];
        outputfilename = argv[3];
        if (tpt_vmapi_exchangeParamsFromSuT(paramfilename, outputfilename, &vm, bindinterface) == tpt_false) {
          fprintf(stderr, "Error during exchange of parameters to TPT, error %hu: %s\n",
            tpt_vmapi_getErrorCode(), tpt_vmapi_getErrorMessage());
          exit(4);
        }
        return 0;
      } else {
        paramfilename = argv[3];
        if (tpt_vmapi_exchangeParamsToSuT(paramfilename, &vm, bindinterface) == tpt_false) {
          fprintf(stderr, "Error during exchange of parameters to SuT, error %hu: %s\n",
            tpt_vmapi_getErrorCode(), tpt_vmapi_getErrorMessage());
          exit(4);
        }
      }
    } else {
      printf("Syntax: %s <input.tvm> <output.tptbin> [<parameters.tptbin>]\n",argv[0]);
      exit(1);
    }
  }
  
  inputfilename = argv[1];
  outputfilename = argv[2];
  
  tpt_vmapi_runTestcase(argv[1], argv[2], &vm, bindinterface, sutcycle);
  
  printf("Done.\n");
  
  return 0;
}
