/*********************************************************************
*              Copyright (c) 2022 PikeTec GmbH
*               CONFIDENTIAL AND PROPRIETARY.
*                   ALL RIGHTS RESERVED
*              - PROPRIETARY OF PikeTec GmbH -
**********************************************************************/

#ifndef __FUSION_INTERNALSIGNALS_CAPI_H_
#define __FUSION_INTERNALSIGNALS_CAPI_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _tpt_fusion_internalsignals_datarow {
	const char* tptName; /* name of signal in TPT */
	const char* blockPath; /* Block path in simulink */
	const unsigned int portNumber; /* 1-based port number from simulink, 0 in case of stateflow-internal data or states */
	const unsigned char isChannel; /* 1 if channel in TPT, 0 otherwise */
} tpt_fusion_simulink_internalsignals_datarow;

/**
 * Get mapping data for internal signals from mapping flavor in tpt. 
 * (This will be compiled into the custom fusion node dll generated from a MATLAB/Simulink model)
 */
extern tpt_fusion_simulink_internalsignals_datarow* tpt_fusion_simulink_internalsignals_data();

extern unsigned int tpt_fusion_simulink_internalsignals_count();

#ifdef __cplusplus
}
#endif

#endif /* __FUSION_INTERNALSIGNALS_CAPI_H_ */