%***********************************************************************
%  Copyright (c) PikeTec GmbH
%***********************************************************************

function tptRunTest(tvm, tptbin)
% ---- set prog file
assignin('base', 'tpt_progfile', toUtf8Array(tvm));

% ---- set output file
assignin('base', 'tpt_binfile', toUtf8Array(tptbin));

% ---- update test frame's SLDD (without effect if model doesn't use a SLDD)
tptUpdateTestFrameDD();
end

function utf8Arr = toUtf8Array(str)
if ~ispc || (strcmp(tpt_getHostCompiler(), 'LCC'))
    bytes = builtin('uint8', str); % no unicode support on windows with LCC compiler or on linux
else
    bytes = unicode2native(str, 'UTF-8');
end
len = max(length(bytes)+1,350);
utf8Arr = builtin('uint8',zeros(1,len));
utf8Arr(1:length(bytes)) = bytes;
end