package com.etas.ascet.api.v1;

import java.util.concurrent.CompletableFuture;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.lsp4j.jsonrpc.services.JsonRequest;
import org.eclipse.lsp4j.jsonrpc.services.JsonSegment;

import com.etas.ascet.api.NotificationDto;

/**
 * Interface to be implemented by the client.
 */
@NonNullByDefault
@JsonSegment("com.etas.ascet.api.client-v1")
public interface ClientApiV1 {

    /**
     * Notification by sent ASCET, not yet in use
     *
     * @param notification
     *            with a topic and a property list
     * @return void, required by technology
     */
    @JsonRequest
    default CompletableFuture<Void> v1Notification(final NotificationDto notification) {
        return CompletableFuture.completedFuture(null);
    }

}
