package com.etas.ascet.api.v1.datatype;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * representation of composites (struct/class/data interface)
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class CompositeRepresentationDtoV1 {

    /**
     * The simple name of the representation
     */
    public abstract String name();

    /**
     * Base name of the compilation unit.
     * E.g. if the file is generated as /project/src/elementname_rep.c,
     * then the value is "elementname_rep".
     */
    public abstract String fileName();

    /**
     * Combined name of composite and representation, e.g. ClassName_Automatic
     */
    public abstract String generatedName();

    public static Builder builder() {
        return new AutoValue_CompositeRepresentationDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see CompositeRepresentationDtoV1#name()
         */
        Builder name(String value);

        /**
         * @see CompositeRepresentationDtoV1#generatedFileName()
         */
        Builder fileName(String value);

        /**
         * @see CompositeRepresentationDtoV1#generatedName()
         */
        Builder generatedName(String value);

        CompositeRepresentationDtoV1 build();
    }
}
