package com.etas.ascet.api.v1.datatype;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * Details about an existing launch configuration that is listed in the "Run Configuration ..." dialog
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class LaunchDetailDtoV1 {

    /**
     * The name of the launch configuration, as it is shown in the "Run Configuration..." dialog.
     */
    public abstract String name();

    /**
     * If non empty, this is the workspace path to the saved launch configuration file.<br/>
     * If empty, the configuration is not stored as accessible file, but only in the workspace configuration.
     */
    public abstract String workspacePath();

    public static Builder builder() {
        return new AutoValue_LaunchDetailDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see LaunchDetailDtoV1#name()
         */
        Builder name(String value);

        /**
         * @see LaunchDetailDtoV1#workspacePath()
         */
        Builder workspacePath(String value);

        LaunchDetailDtoV1 build();

    }
}
