package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
/**
 * A further specification of {@link TargetTypeDtoV1}
 */
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetTableTypeDtoV1 {

    public abstract IdentifierDtoV1 identifier();

    /**
     * The types of the 1 or 2 dimensions. This is either of type axis or scalar.
     */
    public abstract List<IdentifierDtoV1> dimensionTypes();

    /**
     * The type of the values stored in the array
     */
    public abstract IdentifierDtoV1 valueType();

    public static Builder builder() {
        return new AutoValue_TargetTableTypeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see TargetTableTypeDtoV1#identifier()
         */
        Builder identifier(IdentifierDtoV1 value);

        /**
         * @see TargetTableTypeDtoV1#dimensionTypes()
         */
        Builder dimensionTypes(List<IdentifierDtoV1> value);

        /**
         * @see TargetTableTypeDtoV1#valueType()
         */
        Builder valueType(IdentifierDtoV1 value);

        TargetTableTypeDtoV1 build();
    }
}
