package ca.beq.util.win32.registry;

import junit.framework.TestCase;

public class RegistryKeyInitializationTest3 extends TestCase
{
   public void testInit()
   {
      String libraryName = "jRegistryKey-IS_NOT_THERE";
      try
      {
         RegistryKey.initialize(libraryName);
         fail("Initialization must fail. Check that library named \"" + libraryName
               + "\" is _NOT_ accessible in the system.");
      }
      catch (UnsatisfiedLinkError e)
      {
         // success
      }
      if ( RegistryKey.isInitialized() ) {             
         fail("JRegistryKey must report that the library is not initialized.");
      }

      // and again... proving that the failed initialization has no side-effect.
      try
      {
         RegistryKey.initialize(libraryName);
         fail("Initialization must fail. Check that library named \"" + libraryName
               + "\" is _NOT_ accessible in the system.");
      }
      catch (UnsatisfiedLinkError e)
      {
         // success
      }
      if ( RegistryKey.isInitialized() ) {             
          fail("JRegistryKey must report that the library is not initialized.");
       }

   }
}